# Class TCLIServiceConstants

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TCLIServiceConstants

public class TCLIServiceConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHARACTER_MAXIMUM_LENGTH`
`static final Set<TTypeId>`
`COLLECTION_TYPES`
`static final Set<TTypeId>`
`COMPLEX_TYPES`
`static final String`
`PRECISION`
`static final Set<TTypeId>`
`PRIMITIVE_TYPES`
`static final String`
`SCALE`
`static final Map<TTypeId,String>`
`TYPE_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`TCLIServiceConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PRIMITIVE_TYPES

public static final Set<TTypeId> PRIMITIVE_TYPES

### COMPLEX_TYPES

public static final Set<TTypeId> COMPLEX_TYPES

### COLLECTION_TYPES

public static final Set<TTypeId> COLLECTION_TYPES

### TYPE_NAMES

public static final Map<TTypeId,String> TYPE_NAMES

### CHARACTER_MAXIMUM_LENGTH

public static final String CHARACTER_MAXIMUM_LENGTH

See Also:
  - Constant Field Values

### PRECISION

public static final String PRECISION

See Also:
  - Constant Field Values

### SCALE

public static final String SCALE

See Also:
  - Constant Field Values

## Constructor Details

### TCLIServiceConstants

public TCLIServiceConstants()